<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwNode: fwNode.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwNode
   &#160;<span id="projectnumber">8.4.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwNode_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">fwNode.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="memitem:a4ff7cad3eceda85eea5a68d9d2108886"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#a4ff7cad3eceda85eea5a68d9d2108886">fwNode_initialize</a> ()</td></tr>
<tr class="separator:a4ff7cad3eceda85eea5a68d9d2108886"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a922477ad82167087f3e848e0d6f3b456"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#a922477ad82167087f3e848e0d6f3b456">_fwNode_create</a> (string nodeNameOrAlias, string parentAlias, string nodeType, dyn_string editorPanels, dyn_string navigatorPanels, dyn_string childrenDpTypes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a922477ad82167087f3e848e0d6f3b456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68d83cef00bd53a84281edaf7d4f3656"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#a68d83cef00bd53a84281edaf7d4f3656">fwNode_createLogical</a> (string nodeAlias, string parentAlias, dyn_string editorPanels, dyn_string navigatorPanels, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a68d83cef00bd53a84281edaf7d4f3656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae2c3084082a7da5e671341bae72442a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#aae2c3084082a7da5e671341bae72442a">fwNode_createVendor</a> (string nodeName, dyn_string editorPanels, dyn_string navigatorPanels, dyn_string childrenDpTypes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aae2c3084082a7da5e671341bae72442a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75192d6976d72bf222e1f5565d1e14f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#ac75192d6976d72bf222e1f5565d1e14f">fwNode_getDpTypes</a> (string nodeDpName, dyn_string &amp;nodeDpTypes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac75192d6976d72bf222e1f5565d1e14f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae52417f92daff6d50a68dac9a5ecf64"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#aae52417f92daff6d50a68dac9a5ecf64">fwNode_setDpTypes</a> (string nodeDpName, dyn_string nodeDpTypes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aae52417f92daff6d50a68dac9a5ecf64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab8ec2f9507ba17c33a7497c9927c144"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#aab8ec2f9507ba17c33a7497c9927c144">fwNode_getNodes</a> (string systemName, string nodeType, dyn_string &amp;nodes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aab8ec2f9507ba17c33a7497c9927c144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c302e72d7b7186e8e48d7f545bcd9ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#a5c302e72d7b7186e8e48d7f545bcd9ee">fwNode_getPanels</a> (string nodeDpName, string mode, dyn_string &amp;panels, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5c302e72d7b7186e8e48d7f545bcd9ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ea1b8c7724384f3b30c8c4e6257813d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#a7ea1b8c7724384f3b30c8c4e6257813d">fwNode_getType</a> (string nodeDpName, string &amp;nodeType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a7ea1b8c7724384f3b30c8c4e6257813d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8d19f2d5c0943dca13d4414bffe0791"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwNode_8ctl.html#ae8d19f2d5c0943dca13d4414bffe0791">fwNode_setType</a> (string nodeDpName, string nodeType, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae8d19f2d5c0943dca13d4414bffe0791"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section user"><dt>Creation Date</dt><dd>15/07/2003</dd></dl>
<dl class="section user"><dt>Modification history</dt><dd></dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>The function <a class="el" href="fwNode_8ctl.html#a4ff7cad3eceda85eea5a68d9d2108886">fwNode_initialize()</a> has to be called before creating any logical node.</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Manuel Gonzalez Berges (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a4ff7cad3eceda85eea5a68d9d2108886"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_initialize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">This function has to be called before creting any logical node.
</pre><p> It initializes teh sequence numbers to be used for the node names.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL </dd></dl>

</div>
</div>
<a class="anchor" id="a922477ad82167087f3e848e0d6f3b456"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwNode_create </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeNameOrAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>parentAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>editorPanels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>navigatorPanels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>childrenDpTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Creates a Framework node (dp type FwNode) of the selected type and
</pre><p> configures it with the specified parameters.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeNameOrAlias</td><td></td></tr>
    <tr><td class="paramname">parentAlias</td><td></td></tr>
    <tr><td class="paramname">nodeType</td><td>type of the node. Currently the following types are supported: -fwNode_TYPE_VENDOR: root nodes in the hardware view -fwNode_TYPE_LOGICAL_ROOT: root nodes in the logical view -fwNode_TYPE_LOGICAL: normal nodes in the logical view </td></tr>
    <tr><td class="paramname">editorPanels</td><td>panels to be used when the node is selected in the Editor mode </td></tr>
    <tr><td class="paramname">navigatorPanels</td><td>panels to be used when the node is selected in the Navigator mode </td></tr>
    <tr><td class="paramname">childrenDpTypes</td><td>in the case of a vendor node, dp types that can be created </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a68d83cef00bd53a84281edaf7d4f3656"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_createLogical </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>parentAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>editorPanels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>navigatorPanels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Creates a Framework logical node and configures it with the specified 
</pre><p> parameters. If no parent is specified, then it will be a logical root node.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeAlias</td><td>datapoint alias of the node. The node name will be of the form FwNodeXXXXXX, where XXXXXX is a sequential number </td></tr>
    <tr><td class="paramname">parentAlias</td><td>datapoint alias of the parent in the logical view </td></tr>
    <tr><td class="paramname">editorPanels</td><td>panels to be used when the node is selected in the Editor mode </td></tr>
    <tr><td class="paramname">navigatorPanels</td><td>panels to be used when the node is selected in the Navigator mode </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aae2c3084082a7da5e671341bae72442a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_createVendor </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>editorPanels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>navigatorPanels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>childrenDpTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Creates a Framework vendor node and configures it with the specified parameters.
</pre><p> This nodes appear as root in the hardware view.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeName</td><td>name of the node </td></tr>
    <tr><td class="paramname">editorPanels</td><td>panels to be used when the node is selected in the Editor mode </td></tr>
    <tr><td class="paramname">navigatorPanels</td><td>panels to be used when the node is selected in the Navigator mode </td></tr>
    <tr><td class="paramname">childrenDpTypes</td><td>in the case of a vendor node, dp types that can be created </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac75192d6976d72bf222e1f5565d1e14f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_getDpTypes </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>nodeDpTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">If the node passed is of type fwNode_TYPE_VENDOR, the function returns the possible 
</pre><p> children datapoint types.</p>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>CTRL, VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeDpName</td><td>the datapoint name of the node </td></tr>
    <tr><td class="paramname">nodeDpTypes</td><td>returns the datapoint types that can be created as children of the vendor node </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aae52417f92daff6d50a68dac9a5ecf64"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_setDpTypes </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>nodeDpTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">If the node passed is of type fwNode_TYPE_VENDOR, the function sets the possible 
</pre><p> children datapoint types.</p>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>CTRL, VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeDpName</td><td>the datapoint name of the node </td></tr>
    <tr><td class="paramname">nodeDpTypes</td><td>the datapoint types that can be created as children of the vendor node </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aab8ec2f9507ba17c33a7497c9927c144"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_getNodes </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>nodes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Gets all the nodes of the specified type in the specified system
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">systemName</td><td>name of the system that we are interested in </td></tr>
    <tr><td class="paramname">nodeType</td><td>node type we are interested in: -fwNode_TYPE_VENDOR -fwNode_TYPE_LOGICAL -fwNode_TYPE_LOGICAL_ROOT -fwNode_TYPE_LOGICAL_DELETED_ROOT -fwNode_TYPE_ALL </td></tr>
    <tr><td class="paramname">nodes</td><td>returns the nodes of the specified type in the specified system </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5c302e72d7b7186e8e48d7f545bcd9ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_getPanels </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>panels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Gets panels associated with a given datapoint of type FwNode.
</pre><dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeDpName</td><td>the datapoint name of the node </td></tr>
    <tr><td class="paramname">mode</td><td>which mode we are interested in </td></tr>
    <tr><td class="paramname">panels</td><td>returns the requested panels </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7ea1b8c7724384f3b30c8c4e6257813d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_getType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>nodeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Gets node type of a given datapoint. If the datapoint is not of type FwNode, an
</pre><p> exception is raised.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeDpName</td><td>the datapoint name of the node </td></tr>
    <tr><td class="paramname">nodeType</td><td>returns the node type </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae8d19f2d5c0943dca13d4414bffe0791"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwNode_setType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Sets node type of a given datapoint. If the datapoint is not of type FwNode, an
</pre><p> exception is raised.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nodeDpName</td><td>the datapoint name of the node </td></tr>
    <tr><td class="paramname">nodeType</td><td>the node type to be set </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwNode_8ctl.html">fwNode.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
